import { ProviderRange } from './completion-providers';
export declare class Completion {
    label: string;
    detail: string;
    sortText: string;
    insertText: string | snippet;
    range: ProviderRange;
    additionalCompletions: boolean;
    triggerSignature: boolean;
    constructor(label: string, detail: string, sortText: string, insertText: string | snippet, range: ProviderRange, additionalCompletions?: boolean, triggerSignature?: boolean);
}
export declare class snippet {
    source: string;
    constructor(source: string);
}
export declare const importDirectives: {
    from: "-st-from";
    default: "-st-default";
    named: "-st-named";
};
export declare const rulesetDirectives: {
    extends: "-st-extends";
    mixin: "-st-mixin";
    states: "-st-states";
};
export declare const topLevelDirectives: {
    root: ".root";
    namespace: "@namespace";
    customSelector: "@custom-selector :--";
    vars: ":vars";
    import: ":import";
};
export declare function importInternalDirective(type: keyof typeof importDirectives, rng: ProviderRange): Completion;
export declare function rulesetInternalDirective(type: keyof typeof rulesetDirectives, rng: ProviderRange): Completion;
export declare function topLevelDirective(type: keyof typeof topLevelDirectives, rng: ProviderRange): Completion;
export declare function valueDirective(rng: ProviderRange): Completion;
export declare function globalCompletion(rng: ProviderRange): Completion;
export declare function classCompletion(className: string, rng: ProviderRange, removeDot?: boolean): Completion;
export declare function extendCompletion(symbolName: string, from: string, rng: ProviderRange): Completion;
export declare function namedCompletion(symbolName: string, rng: ProviderRange, from: string, value?: string): Completion;
export declare function cssMixinCompletion(symbolName: string, rng: ProviderRange, from: string): Completion;
export declare function codeMixinCompletion(symbolName: string, rng: ProviderRange, from: string): Completion;
export declare function formatterCompletion(symbolName: string, rng: ProviderRange, from: string): Completion;
export declare function pseudoElementCompletion(elementName: string, from: string, rng: ProviderRange): Completion;
export declare function stateTypeCompletion(type: string, from: string, rng: ProviderRange): Completion;
export declare function stateCompletion(stateName: string, from: string, rng: ProviderRange, type: string | null, hasParam?: boolean): Completion;
export declare function stateEnumCompletion(option: string, from: string, rng: ProviderRange): Completion;
export declare function valueCompletion(name: string, from: string, value: string, rng: ProviderRange): Completion;
