"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const kissfs_1 = require("kissfs");
const fs = require("fs");
class LocalSyncFs extends kissfs_1.LocalFileSystem {
    loadTextFileSync(fullPath) {
        return fs.readFileSync(fullPath).toString();
    }
    loadDirectoryTreeSync(fullPath = '/') {
        let dir = {
            name: '',
            fullPath: fullPath,
            children: [],
            type: 'dir'
        };
        dir = populate('', fullPath, dir);
        return dir;
        // return null as any;
    }
    loadDirectoryChildrenSync(fullPath) {
        return [];
    }
    loadDirectoryContentSync(fullPath) {
        return {};
    }
}
exports.LocalSyncFs = LocalSyncFs;
function populate(path, dirPath, dir) {
    if (!path) {
        const list = fs.readdirSync(dirPath);
        list.forEach(path => { dir = populate(path, dirPath, dir); });
    }
    else if (fs.statSync(dirPath + '/' + path).isFile()) {
        dir.children.push({
            name: path,
            fullPath: (dirPath + '/' + path).replace('//', '/'),
            type: 'file'
        });
    }
    else if (fs.statSync(dirPath + '/' + path).isDirectory()) {
        const list = fs.readdirSync(dirPath + '/' + path);
        list.forEach(p => { dir = populate(p, dirPath + '/' + path, dir); });
    }
    return dir;
}
//# sourceMappingURL=local-sync-fs.js.map