'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
const provider_1 = require("./provider");
function createProvider(stylable, tsLangService, withFilePrefix = true) {
    return new provider_1.default(stylable, tsLangService);
}
exports.createProvider = createProvider;
let legacyBehvior = true;
function toggleLegacy(value) {
    legacyBehvior = value;
}
exports.toggleLegacy = toggleLegacy;
const isWindows = process.platform === 'win32';
function createFs(fileSystem) {
    return {
        readFileSync(path) {
            path = (!legacyBehvior && isWindows) ? `/${path.slice(path.lastIndexOf(':') + 1).replace(/\\/g, '/')}` : path;
            return fileSystem.loadTextFileSync(path).toString();
        },
        statSync(path) {
            path = (!legacyBehvior && isWindows) ? `/${path.slice(path.lastIndexOf(':') + 1).replace(/\\/g, '/')}` : path;
            const s = fileSystem.statSync(path);
            const stat = {
                type: s.type,
                isDirectory() {
                    return s.type === 'dir';
                },
                isFile() {
                    return s.type === 'file';
                },
                mtime: new Date(Date.now())
            };
            return stat;
        },
        readlinkSync(_path) {
            return null; //require('fs').readlinkSync(_path);
        }
    };
}
exports.createFs = createFs;
//# sourceMappingURL=provider-factory.js.map