'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
const vscode_languageserver_1 = require("vscode-languageserver");
const local_sync_fs_1 = require("./local-sync-fs");
const server_utils_1 = require("./server-utils");
const view_1 = require("../view");
const connection = vscode_languageserver_1.createConnection(new vscode_languageserver_1.IPCMessageReader(process), new vscode_languageserver_1.IPCMessageWriter(process));
connection.listen();
connection.onInitialize((params) => {
    const rootPath = params.rootPath || '';
    server_utils_1.init(new local_sync_fs_1.LocalSyncFs(''), connection, rootPath);
    return view_1.initializeResult;
});
connection.onInitialized(() => {
    connection.client.register(vscode_languageserver_1.DidChangeConfigurationNotification.type, undefined);
});
//# sourceMappingURL=server.js.map