/// <reference types="node" />
import { MinimalDocsDispatcher } from './provider-factory';
import { Stylable } from '@stylable/core';
import { ExtendedFSReadSync, ExtendedTsLanguageService, NotificationTypes } from './types';
import { IConnection } from "vscode-languageserver";
export { MinimalDocs } from './provider-factory';
export { ExtendedTsLanguageService, ExtendedFSReadSync, NotificationTypes } from './types';
export declare class StylableLanguageService {
    constructor(connection: IConnection, services: {
        styl: Stylable;
        tsLanguageService: ExtendedTsLanguageService;
        requireModule: typeof require;
    }, fs: ExtendedFSReadSync, docsDispatcher: MinimalDocsDispatcher, notifications: NotificationTypes);
}
export declare function initStylableLanguageService(connection: IConnection, services: {
    styl: Stylable;
    tsLanguageService: ExtendedTsLanguageService;
    requireModule: typeof require;
}, fs: ExtendedFSReadSync, docsDispatcher: MinimalDocsDispatcher, notifications: NotificationTypes): void;
