/// <reference types="node" />
import * as ts from 'typescript';
import { FileSystemReadSync } from 'kissfs';
import * as path from 'path';
declare module 'typescript' {
    function matchFiles(path: string, extensions: ReadonlyArray<string>, excludes: ReadonlyArray<string>, includes: ReadonlyArray<string>, useCaseSensitiveFileNames: boolean, currentDirectory: string, depth: number | undefined, getFileSystemEntries: (path: string) => FileSystemEntries): string[];
    interface FileSystemEntries {
        files: ReadonlyArray<string>;
        directories: ReadonlyArray<string>;
    }
    interface SourceFile {
        parseDiagnostics: ts.Diagnostic[];
    }
    function getNewLineCharacter(options: ts.CompilerOptions | ts.PrinterOptions): string;
}
export interface BaseHost extends ts.ParseConfigHost {
    syncFs: FileSystemReadSync;
    path: typeof path.posix;
}
export declare function createBaseHost(syncFs: FileSystemReadSync, systemPath: typeof path.posix): BaseHost;
export interface LanguageServicesHostOptions {
    baseHost: BaseHost;
    compilerOptions: ts.CompilerOptions;
    getOpenedDocs(): string[];
    cwd: string;
    defaultLibDirectory: string;
    customTransformers?: ts.CustomTransformers;
    log?(s: string): void;
    trace?(s: string): void;
    error?(s: string): void;
    getProjectVersion?(): string;
}
export declare function createLanguageServiceHost(hostOptions: LanguageServicesHostOptions): ts.LanguageServiceHost;
