"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const isWindows = process.platform === 'win32';
exports.fromVscodePath = (uri) => {
    if (uri.startsWith('file://')) {
        return isWindows ? uri.slice(8).replace('%3A', ':').replace(/\//g, '\\') : uri.slice(7);
    }
    return uri;
};
exports.toVscodePath = (path) => {
    if (path.startsWith('file://')) {
        return path;
    }
    return 'file://' + (isWindows ? `/${path.replace(/\\/g, '/').replace(':', '%3A')}` : path);
};
//# sourceMappingURL=uri-utils.js.map