import { ColorInformation, TextDocument } from 'vscode-languageserver-protocol';
import { Color, ColorPresentation } from 'vscode-css-languageservice';
import { CompletionItem, Diagnostic, Hover, Location, Position, Range } from 'vscode-languageserver-types';
import { ExtendedFSReadSync } from '../lib/types';
/**
 * the API for "normal" css language features fallback
 */
export declare class CssService {
    private fs;
    private inner;
    constructor(fs: ExtendedFSReadSync);
    getCompletions(document: TextDocument, position: Position): CompletionItem[];
    getDiagnostics(document: TextDocument): Diagnostic[];
    doHover(document: TextDocument, position: Position): Hover | null;
    findReferences(document: TextDocument, position: Position): Location[];
    getColorPresentations(document: TextDocument, color: Color, range: Range): ColorPresentation[];
    findColors(document: TextDocument): ColorInformation[];
    findColor(document: TextDocument): Color | null;
}
